'use strict';

exports.__esModule = true;
exports.createLogicAspect = undefined;

var _logicAspect = require('./logicAspect');

var _logicAspect2 = _interopRequireDefault(_logicAspect);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//*** 
//*** Promote all feature-redux-logic utilities through a centralized module.
//*** 

// NOTE: This non-default export supports ES6 imports.
//       Example:
//         import { createFeature }    from 'feature-redux-logic';
//       -or-
//         import * as FeatureU from 'feature-redux-logic';
exports.createLogicAspect = _logicAspect2.default;

// NOTE: This default export supports CommonJS modules (otherwise Babel does NOT promote them).
//       Example:
//         const { createFeature } = require('feature-redux-logic');
//       -or-
//         const FeatureU   = require('feature-redux-logic');

exports.default = {
  createLogicAspect: _logicAspect2.default
};